:root {
    --main-page-top:100px;
    --main-abo-duration-unit: " mois";
    --main-pack-unit-name: " séance";
    --main-desk-max-width: 800px;
    --main-mobile-max-width: 300px;
    --main-payment-margin: 0.5em;
}

* {
    outline: none;
}

.page_content {
    position: absolute;
    left: 50%;
    top: var(--main-page-top);
    transform: translateX(-50%);
    max-width: var(--main-desk-max-width);
    width: 100%;
    background-color: #ffffff;
}

.page_content .offer_ban {
    height: 6em;
    width: 100%;
    margin-top: 2em;
}

.page_content .webref {
    margin-bottom: 1em;
    height: 2em;
}

.page_content .webref caption {
    height: 2em;
}

.page_content .offer_ban > div {
    display: flex;
    align-items: center;    
    justify-content: center;
    text-transform: uppercase;    
}

.page_content .offer_ban > div .min_price {
    font-weight: bold;
    margin: 0 0.5em;
    animation: min_bounce 0.35s ease infinite alternate;
}

@keyframes min_bounce {
    from { transform: translateY(0); }
    to {transform: translateY(-10px);}
}

.page_content .offer_ban .partner img {
    height: 5em;
    width: auto;
}

/* .offer_line {
    margin: 0 0.5em 0.5em 0.5em;
} */

.offer_title {
    display: flex;
    justify-content: center;
    text-transform: uppercase;
    font-size: 1.5em;
    font-weight: bold;
    height: 3em;
    width: 100%;
}

.offer_alias, .offer_credits {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 3em;
    margin-right: 0;
    margin-bottom: 0;
    background-color: var(--main-color-offer-alias);
    color: white;
    font-weight: bold;
    text-align: center;
}

.offer_credits {
    width: 7em;
}

.offer_mprice {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 3em;
    margin-right: 0;
    margin-bottom: 0;
    color: white;
    font-weight: bold;
    text-align: center;
}

.offer_engage, .offer_share {
    position: absolute;
    bottom: 0;
    left: 3em;
    width: 5em;
    margin-right: 0;
    margin-bottom: 0;
    background-color: rgb(240, 209, 169);
    color: black;
    font-weight: bold;
    text-align: center;
}

.offer_r .offer_mprice {
background-color: rgb(124, 124, 14);
}

.offer_i .offer_mprice {
background-color: rgb(71, 109, 15) ;
}

.offer_a .offer_mprice {
background-color: rgb(20, 95, 124);
}

.offer_i, .offer_a, .offer_r,
.offer_s, .offer_m, .offer_l {
    position: relative;
    padding: 1em 0 1.5em 0;
}
td {width: 30%;}
.offer_r {
    background-color: var(--main-color-offer-r);
}

.offer_i {
    background-color: var(--main-color-offer-i);
}

.offer_a {
    background-color: var(--main-color-offer-a);
}

.offer_s {
    background-color: rgb(228, 152, 22);
    background-color: var(--main-color-offer-s);
}

.offer_m {
    background-color: rgb(255,114,81);
    background-color: var(--main-color-offer-m);
}

.offer_l {
    background-color: var(--main-color-offer-l);
}

caption {
    font-size: 1.3em;
    font-weight: bold;
    text-transform: uppercase;
}

table {
    border-spacing: 1em;
    text-align: center;
    width: 100%;
}

td {
    display: table-cell;
    vertical-align: 0;
    width: 33.3%;
}

.offer_separator {
    color: transparent;
    width: 100%;
    /* margin-top: 10px; */
    margin-bottom: 16px;
    border-bottom: 3px solid black;
}

@media only screen and (max-width: 900px) {
    .page_content {
        top: calc(var(--main-page-top) * 0.75);
    }
}

@media only screen and (max-width: 750px) {
    .page_content {
        max-width: var(--main-mobile-max-width);
    }

    table {
        border-spacing: 0em 0.5em;
    }

    tr {
        display: flex;
        flex-direction: column;
        padding: 0.5em 0em;
    }
    td {
        margin: 0.5em 0em;
        display: table-row;
        width: 100%;
    }
    
    .offer_title {
        width: 100%;
        display: flex;
        justify-content: center;
        margin: 0.5em 0 0.5em 0;
    }    
}

button {
    padding: 0 0 0 0;
    width: 100%;
    top: 0;
    border:none;
    cursor: pointer;
}

button.locked {
    pointer-events: none;
    opacity: 0.7;
}

.offer_pprice {
    color: white;
    font-weight: bold;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 3em;
    margin-bottom: 0;
}

.offer_s .offer_pprice {
    background-color: rgb(175, 112, 2);
    background-color: #606060;
}

.offer_m .offer_pprice {
    background-color: rgb(231, 71, 35);
    background-color: rgb(175, 112, 2);
}

.offer_l .offer_pprice {
    background-color: rgb(197, 36, 0);
}

.offer_share {
    color: black;
    font-weight: bold;
    position: absolute;
    bottom: 0;
    left: 3em;
    /* width: 3em; */
    text-align: center;
}

.offer_price {
    font-weight: bold;
    font-size: 1.5em;
}

.offer_mprice::after, 
.offer_pprice::after {
    content: var(--main-currency);
} 

.offer_credits::after {
    content: var(--main-pack-unit-name) "s";
}

.offer_engage::after {
    content: var(--main-abo-duration-unit);
}

.zoomin {
    transform: scale(1);
    transition-duration: 0.5s;
    position: relative;
    z-index: 999;
    cursor: default;
}

.zoomin:hover {
    transform: scale(1.5);
    transition-duration: 0.5s;
}

.zoomin:hover ~ .background_img {
    -webkit-filter: blur(10px);
    filter: blur(10px);
    transition-duration: 0.5s;
}

@media only screen and (max-width: 750px) {
    .zoomin:hover {
        transform: none;
    }

    .zoomin:hover ~ .background_img {
        -webkit-filter: blur(10px);
        filter: blur(10px);
        transition-duration: 0.5s;
    }    
}

.zoomout {
    z-index: initial;
    position: initial;
    transform: scale(1);
    transition-property: all;
    transition-duration: 0.5s;
    cursor: pointer;
}

.offer_command {
    width: 100%;
    background-color: lightgrey;
    padding-top: 0.5em;
}

form {
    margin: 0 0 0 0;

}

.share_mode,
.pay_times, 
.suit_mode,
.shower_mode,
.cardio,
.ultras,
.abo_cardio,
.abo_ultras,
.pack_cardio,
.pack_ultras {
    display: -ms-flexbox;
    display: flex;
    justify-content: space-between;
    font-size: smaller;    
    margin: 0 calc(2px + var(--main-payment-margin));
    text-align: center;
}

.option_c > span {
    text-decoration: underline ;
    font-weight: bold;
    cursor: default;
    min-width: 5em;
    display: flex;
}

.option_c label {
    display: grid;
    cursor: pointer;
    min-width: 3em;
}

.share_mode {
    margin-top: 0;
    width: calc(100% - 2* var(--main-payment-margin) - 4px);
    padding-right: 0;
}

.share_details {
    position: relative;
    top: 0;
    left: -1em;
    width: 100% ;
}

.share_details div {
    width: calc(100% + 1em);
}

.under_icon .checkmark {
    left: 0.45em;
    height: 1.6em;
    width: 2.3em;
    margin-top: 2.3em;
    cursor: pointer;
}

.under_icon.styled_cbox .checkmark:after {
    left: 0.7em;
    top: -0.1em;
    width: 0.6em;
    height: 1.2em;
    border-width: 0 0.3em 0.3em 0;
}

.share_count {
    width: 4em;
    text-align: center;
    height: 1.8em;
}

.share_person {
    width: 100%;
    height: 1.8em;
    margin-top: 0.4em;
    margin-right: 0;
}
.cfield {
    font-size: smaller;
    border: none;
    text-align: center;
}

/*====================== start checker ======================*/
.pay_checker, 
.suit_checker {
    display: block;
    position: relative;
    padding-left: 1.5em;
    margin-left: 0.3em;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default radio button */
.pay_checker input, 
.suit_checker input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

/* Create a custom radio button */
.pay_checkmark, 
.suit_checkmark {
    position: absolute;
    top: 0.1em;
    left: 0.3em;
    height: 0.9em;
    width: 0.9em;
    background-color: #eee;
    border-radius: 50%;
}

/* On mouse-over, add a grey background color */
.pay_checker:hover input ~ .pay_checkmark,
.suit_checker:hover input ~ .suit_checkmark {
    background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.pay_checker input:checked ~ .pay_checkmark,
.suit_checker input:checked ~ .suit_checkmark {
    background-color: #2196F3;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.pay_checkmark:after,
.suit_checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the indicator (dot/circle) when checked */
.pay_checker input:checked ~ .pay_checkmark:after,
.suit_checker input:checked ~ .suit_checkmark:after {
    display: block;
}

/* Style the indicator (dot/circle) */
.pay_checker .pay_checkmark:after,
.suit_checker .suit_checkmark:after {
    top: 0.2em;
    left: 0.25em;
    width: 0.4em;
    height: 0.4em;
    border-radius: 50%;
    background: white;
}
/*====================== end checker =====================*/

.accept_and_pay {
    margin: var(--main-payment-margin) var(--main-payment-margin) 0 var(--main-payment-margin);
    padding-bottom: var(--main-payment-margin);
}

.cgv_container {
    text-align: start;
    font-size: x-small;
    border-top: solid 1px black;
}
#paypal-button-container.waiting {
    pointer-events: none;
    opacity: 0.5;
}

/* .checkmark {
    left: 0.3em;
    height: 1.4em;
    width: 1.4em;
    border-radius: 1px;
}

.styled_cbox .checkmark:after {
    left: 0.35em;
    top: 0.05em;
    width: 0.4em;
    height: 0.7em;
    border: solid white;
    border-width: 0 0.2em 0.2em 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
} */

input[type="submit"] {
    border: none;
    width: 100%; 
    color: white;
    font-size: 1.2em;
    font-weight: bold;
    background-color: green;
    cursor: pointer;
}

input[type="submit"]:after {
    content: var(--main-currency);
}


